# Don't generate any debuginfo packages
%global debug_package %{nil}

Summary: Ligo low-latency data distribution server initialization
Name: llldd
Version: 0.4.4
Release: 1
License: GPL
Group: Ligo daswg
URL: https://wiki.ligo.org/daswg/LowLatency
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	gds-services
Requires:  gds-services >= 2.15.7

%define llservice llldd

%description
Init files for Ligo low-latency data distribution system

%package xfer
Version: 0.4.4
Summary: Ligo low-latency transfer untility
Group: LIGO daswg
URL: https://wiki.ligo.org/daswg/LowLatency
Requires: gds-services >= 2.15.7 virgoApp-Fd >= 6.9.2

%description xfer
Init files for Ligo low-latency data transfer utility

%prep
%setup -q

%build
./configure --prefix= --with-user=lluser
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group lluser >/dev/null || groupadd -r lluser
getent passwd lluser >/dev/null || \
    useradd -r -g lluser -d %{_datadir}/%{name} -s /sbin/nologin \
    -c "Low latency data distribution infrastructure" lluser
exit 0

%pre xfer
getent group lluser >/dev/null || groupadd -r lluser
getent passwd lluser >/dev/null || \
    useradd -r -g lluser -d %{_datadir}/%{name} -s /sbin/nologin \
    -c "Low latency data distribution infrastructure" lluser
exit 0

%post
/sbin/chkconfig --add %llservice
/sbin/chkconfig %llservice off
for f in %{llservice}/llshm_config sysconfig/%{llservice}; do
    [ -f %{_sysconfdir}/$f ] || \
	cp %{_sysconfdir}/${f}.default %{_sysconfdir}/$f
done

%post xfer
/sbin/chkconfig --add llxfer
/sbin/chkconfig llxfer off
/sbin/chkconfig --add llsend
/sbin/chkconfig llsend off
for f in %{llservice}/llsend_config %{llservice}/llxfer_config; do
    [ -f %{_sysconfdir}/$f ] || \
	cp %{_sysconfdir}/${f}.default %{_sysconfdir}/$f
done

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service %llservice stop >/dev/null 2>&1
    /sbin/chkconfig --del %llservice
fi

%files
%defattr(-,root,root,-)
# %doc
%{_sysconfdir}/init.d/%{llservice}
%{_sysconfdir}/sysconfig/%{llservice}.default
%{_sysconfdir}/%{llservice}/llshm_config.default

%preun xfer
if [ $1 -eq 0 ] ; then
    /sbin/service llxfer stop >/dev/null 2>&1
    /sbin/chkconfig --del llxfer
fi

%files xfer
%{_sysconfdir}/init.d/llxfer
%{_sysconfdir}/init.d/llsend

%{_sysconfdir}/%{llservice}/llxfer_config.default
%{_sysconfdir}/%{llservice}/llsend_config.default
%{_sysconfdir}/%{llservice}/*.cfg
%{_prefix}/bin/*

%changelog
* Tue Jan 10 2012  <ed.maros@ligo.org> - 
- Add.

* Mon Dec 19 2011  <john.zweizig@ligo.org> - 
- Initial build.
